OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
Depot Struct Reference
Inheritance diagram for Depot:

## Public Member Functions
| Depot (TileIndex xy=INVALID_TILE)
| ~Depot ()
| Clean up a depot.
bool | IsOfType (const Depot *d) const
| Is the "type" of depot the same as the given depot, i.e.
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_depot_pool >
void * | operator new (size_t size)
| Allocates space for new Titem.
void * | operator new (size_t size, size_t index)
| Allocates space for new Titem with given index.
void * | operator new (size_t size, void *ptr)
| Allocates space for new Titem at given memory address.
void | operator delete (void *p)
| Marks Titem as free.

## Static Public Member Functions
static Depot * | GetByTile (TileIndex tile)
Static Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_depot_pool >
static bool | CanAllocateItem (size_t n=1)
| Helper functions so we can use PoolItem::Function() instead of _poolitem_pool.Function()
static bool | CleaningPool ()
| Returns current state of pool cleaning - yes or no.
static bool | IsValidID (size_t index)
| Tests whether given index can be used to get valid (non-NULL) Titem.
static Titem * | Get (size_t index)
| Returns Titem with given index.
static Titem * | GetIfValid (size_t index)
| Returns Titem with given index.
static size_t | GetPoolSize ()
| Returns first unused index.
static size_t | GetNumItems ()
| Returns number of valid items in the pool.
static void | PostDestructor (size_t index)
| Dummy function called after destructor of each member.

## Data Fields
Town * | town
char * | name
TileIndex | xy
uint16 | town_cn
| The N-1th depot for this town (consecutive number)
Date | build_date
| Date of construction.
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_depot_pool >
Tindex | index
| Index of this pool item.

## Detailed Description

Definition at line 21 of file depot_base.h.

## Member Function Documentation

bool Depot::IsOfType | ( | const Depot * | d | ) | const
| inline

Is the "type" of depot the same as the given depot, i.e.

are both a rail, road or ship depots?

Parameters

  d | The depot to compare to.

Returns
  true iff their types are equal.

Definition at line 43 of file depot_base.h.

References GetTileType().

The documentation for this struct was generated from the following files:

- src/depot_base.h
- src/depot.cpp